Package com.independentsoft.office.drawing

# Class ColorChangeEffect

java.lang.Object
com.independentsoft.office.drawing.ColorChangeEffect

public class ColorChangeEffect extends Object
The Class ColorChangeEffect.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ColorChangeEffect()`
  Instantiates a new color change effect.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ColorChangeEffect`
  `clone()`
  `ChangeColorFrom`
  `getFrom()`
  Gets the from.
  `ChangeColorTo`
  `getTo()`
  Gets the to.
  `boolean`
  `isConsiderAlphaValues()`
  Checks if is consider alpha values.
  `void`
  `setConsiderAlphaValues​(boolean considerAlphaValues)`
  Sets the consider alpha values.
  `void`
  `setFrom​(ChangeColorFrom from)`
  Sets the from.
  `void`
  `setTo​(ChangeColorTo to)`
  Sets the to.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ColorChangeEffect

    public ColorChangeEffect()
    Instantiates a new color change effect.

- ## Method Details

  - ### clone

    public ColorChangeEffect clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getFrom

    public ChangeColorFrom getFrom()
    Gets the from.
    Returns:
      the from

  - ### setFrom

    public void setFrom​(ChangeColorFrom from)
    Sets the from.
    Parameters:
      `from` - the new from

  - ### getTo

    public ChangeColorTo getTo()
    Gets the to.
    Returns:
      the to

  - ### setTo

    public void setTo​(ChangeColorTo to)
    Sets the to.
    Parameters:
      `to` - the new to

  - ### isConsiderAlphaValues

    public boolean isConsiderAlphaValues()
    Checks if is consider alpha values.
    Returns:
      true, if is consider alpha values

  - ### setConsiderAlphaValues

    public void setConsiderAlphaValues​(boolean considerAlphaValues)
    Sets the consider alpha values.
    Parameters:
      `considerAlphaValues` - the new consider alpha values